"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const prompt_for_input_1 = require("../util/prompt-for-input");
const constants_1 = require("../constants");
const alwaysai_user_login_yes_component_1 = require("./alwaysai-user-login-yes-component");
async function alwaysaiUserLoginPromptComponent(props = {}) {
    const answers = await prompt_for_input_1.promptForInput({
        purpose: 'to enter your alwaysAI user account credentials',
        alternative: 'authenticate yourself first with the command "alwaysai user login"',
        questions: [
            {
                type: 'text',
                name: 'email',
                message: 'Email address associated with your alwaysAI user:',
                initial: props.alwaysaiUserEmail,
                validate: value => constants_1.VALID_EMAIL_REGULAR_EXPRESSION.test(value) ||
                    `"${value}" is not a valid email address`,
            },
            {
                type: 'password',
                name: 'password',
                message: 'Password',
                initial: props.alwaysaiUserPassword,
                validate: value => value.length >= 8 || 'Password must be eight or more characters',
            },
        ],
    });
    await alwaysai_user_login_yes_component_1.alwaysaiUserLoginYesComponent({
        alwaysaiUserEmail: answers.email,
        alwaysaiUserPassword: answers.password,
    });
}
exports.alwaysaiUserLoginPromptComponent = alwaysaiUserLoginPromptComponent;
//# sourceMappingURL=alwaysai-user-login-prompt-component.js.map