"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const yes_cli_input_1 = require("../cli-inputs/yes-cli-input");
const clean_cli_input_1 = require("../cli-inputs/clean-cli-input");
const target_hostname_cli_input_1 = require("../cli-inputs/target-hostname-cli-input");
const target_path_cli_input_1 = require("../cli-inputs/target-path-cli-input");
const target_json_file_1 = require("../util/target-json-file");
const app_deploy_component_1 = require("./app-deploy-component");
const constants_1 = require("../constants");
const leaf = alwayscli_1.CliLeaf({
    name: app_deploy_component_1.appDeployComponent.name,
    namedInputs: {
        yes: yes_cli_input_1.yesCliInput,
        clean: clean_cli_input_1.cleanCliInput,
        rm: alwayscli_1.CliFlagInput({ description: 'Remove the target config file first' }),
        hostname: target_hostname_cli_input_1.targetHostnameCliInput,
        path: target_path_cli_input_1.targetPathCliInput,
    },
    async action(_, { yes, clean, rm, hostname: targetHostname, path: targetPath }) {
        const targetJsonFile = target_json_file_1.TargetJsonFile();
        if (rm) {
            targetJsonFile.remove();
        }
        if (targetHostname && targetPath) {
            targetJsonFile.write({
                targetProtocol: 'ssh+docker:',
                targetHostname,
                targetPath,
                dockerImageId: constants_1.DOCKER_IMAGE_ID_INITIAL_VALUE,
                targetHardware: targetJsonFile.read().targetHardware,
            });
        }
        await app_deploy_component_1.appDeployComponent({
            yes,
            clean,
        });
    },
});
if (module === require.main) {
    alwayscli_1.runCliAndExit(leaf);
}
//# sourceMappingURL=app-deploy-component.cli.js.map