"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logSymbols = require("log-symbols");
const app_json_file_1 = require("../util/app-json-file");
const run_with_spinner_1 = require("../util/run-with-spinner");
const echo_1 = require("../util/echo");
const app_install_model_1 = require("../util/app-install-model");
async function appInstallModelsComponent(spawner) {
    const appJsonFile = app_json_file_1.AppJsonFile();
    const appJson = appJsonFile.read();
    let hasModels = false;
    if (appJson.models) {
        for (const [id, version] of Object.entries(appJson.models)) {
            hasModels = true;
            await run_with_spinner_1.runWithSpinner(app_install_model_1.appInstallModel, [spawner, id, version], `Install model ${id}`);
        }
    }
    if (!hasModels) {
        echo_1.echo(`${logSymbols.warning} Application has no models`);
    }
}
exports.appInstallModelsComponent = appInstallModelsComponent;
//# sourceMappingURL=app-install-models-component.js.map