"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const echo_1 = require("../util/echo");
const rpc_client_1 = require("../util/rpc-client");
const authentication_client_1 = require("../util/authentication-client");
const check_user_is_logged_in_component_1 = require("./check-user-is-logged-in-component");
async function appModelsSearchComponent(props) {
    const { yes } = props;
    await check_user_is_logged_in_component_1.checkUserIsLoggedInComponent({ yes });
    const { username } = await authentication_client_1.CliAuthenticationClient().getInfo();
    const rpcClient = rpc_client_1.CliRpcClient();
    const publicModelVersions = await rpcClient.listPublicModelVersions();
    const privateModelVersions = await rpcClient.listPrivateModelVersions({
        publisher: username,
    });
    const allModelVersions = [...publicModelVersions, ...privateModelVersions];
    const uniqueIds = [...new Set(allModelVersions.map(({ id }) => id))];
    echo_1.echo(uniqueIds.join('\n'));
}
exports.appModelsSearchComponent = appModelsSearchComponent;
//# sourceMappingURL=app-models-search-component.js.map