"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const path_1 = require("path");
const build_docker_image_component_1 = require("./build-docker-image-component");
const js_spawner_1 = require("../util/spawner/js-spawner");
const leaf = alwayscli_1.CliLeaf({
    name: path_1.basename(__filename),
    namedInputs: {
        rm: alwayscli_1.CliFlagInput({ description: 'Run "docker system prune --all --force"' }),
    },
    async action(_, { rm }) {
        const targetHostSpawner = js_spawner_1.JsSpawner();
        if (rm) {
            await targetHostSpawner.run({
                exe: 'docker',
                args: ['system', 'prune', '--all', '--force'],
            });
        }
        await build_docker_image_component_1.buildDockerImageComponent({ targetHostSpawner });
    },
});
if (module === require.main) {
    alwayscli_1.runCliAndExit(leaf);
}
//# sourceMappingURL=build-docker-image-component.cli.js.map