"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const build_docker_image_1 = require("../util/build-docker-image");
const logSymbols = require("log-symbols");
const echo_1 = require("../util/echo");
const alwayscli_1 = require("@alwaysai/alwayscli");
async function buildDockerImageComponent(props) {
    const BUILD_DOCKER_IMAGE_MESSAGE = 'Build docker image';
    echo_1.echo(`- ${BUILD_DOCKER_IMAGE_MESSAGE}`);
    try {
        const dockerImageId = await build_docker_image_1.buildDockerImage(props.targetHostSpawner);
        echo_1.echo(`${logSymbols.success} ${BUILD_DOCKER_IMAGE_MESSAGE}`);
        return dockerImageId;
    }
    catch (exception) {
        echo_1.echo(`${logSymbols.error} ${BUILD_DOCKER_IMAGE_MESSAGE}`);
        throw new alwayscli_1.CliTerseError('Docker build failed! Check Docker logs.');
    }
}
exports.buildDockerImageComponent = buildDockerImageComponent;
//# sourceMappingURL=build-docker-image-component.js.map