"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const logSymbols = require("log-symbols");
const alwaysai_user_login_prompt_component_1 = require("./alwaysai-user-login-prompt-component");
const echo_1 = require("../util/echo");
const authentication_client_1 = require("../util/authentication-client");
const YOU_MUST_BE_LOGGED_IN = 'You must be logged in to run this command.';
async function checkUserIsLoggedInComponent(props) {
    const { yes } = props;
    if (!authentication_client_1.CliAuthenticationClient().isSignedIn()) {
        if (yes) {
            throw new alwayscli_1.CliTerseError(`${YOU_MUST_BE_LOGGED_IN} Please either re-run this command without the "yes" flag, or run "alwaysai user login" and try again.`);
        }
        else {
            echo_1.echo(`${logSymbols.warning} ${YOU_MUST_BE_LOGGED_IN}`);
            await alwaysai_user_login_prompt_component_1.alwaysaiUserLoginPromptComponent();
        }
    }
}
exports.checkUserIsLoggedInComponent = checkUserIsLoggedInComponent;
//# sourceMappingURL=check-user-is-logged-in-component.js.map