"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ssh_spawner_1 = require("../util/spawner/ssh-spawner");
const spinner_1 = require("../util/spinner");
const confirm_prompt_component_1 = require("./confirm-prompt-component");
const alwayscli_1 = require("@alwaysai/alwayscli");
async function cleanTargetDirectoryComponent(props) {
    const { yes, targetHostname, targetPath } = props;
    let cleanDir = true;
    if (!yes) {
        cleanDir = await confirm_prompt_component_1.confirmPromptComponent({
            message: `Are you sure you want to delete the outdated target directory (${targetHostname}:${targetPath}) and redeploy the updated app`,
        });
    }
    if (cleanDir) {
        const spinner = spinner_1.Spinner('Delete target directory');
        try {
            const spawner = ssh_spawner_1.SshSpawner({
                targetHostname: props.targetHostname,
                targetPath: props.targetPath,
            });
            await spawner.sanatizedrimraf();
            spinner.succeed();
        }
        catch (exception) {
            spinner.fail();
            throw exception;
        }
    }
    else {
        throw new alwayscli_1.CliTerseError('Operation canceled by user');
    }
}
exports.cleanTargetDirectoryComponent = cleanTargetDirectoryComponent;
//# sourceMappingURL=clean-target-directory-component.js.map