"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const delay = require("delay");
const ssh_spawner_1 = require("../util/spawner/ssh-spawner");
const spinner_1 = require("../util/spinner");
const TEN_SECONDS = 10 * 1000;
exports.TIMED_OUT_CONNECTING_TO = 'Timed out connecting to';
async function connectBySshComponent(props) {
    const { targetHostname, warnOrFail = 'fail' } = props;
    const spinner = spinner_1.Spinner('Connect by SSH');
    const spawner = ssh_spawner_1.SshSpawner({ targetHostname });
    try {
        await Promise.race([
            spawner.run({ exe: 'echo' }),
            delay.reject(TEN_SECONDS, {
                value: new alwayscli_1.CliTerseError(`${exports.TIMED_OUT_CONNECTING_TO} "${targetHostname}"`),
            }),
        ]);
        spinner.succeed();
    }
    catch (exception) {
        spinner[warnOrFail]();
        throw exception;
    }
}
exports.connectBySshComponent = connectBySshComponent;
//# sourceMappingURL=connect-by-ssh-component.js.map