"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const KeyMirror = require("keymirror");
const prompt_for_input_1 = require("../util/prompt-for-input");
exports.Destination = KeyMirror({
    YOUR_LOCAL_COMPUTER: null,
    REMOTE_DEVICE: null,
});
async function destinationPromptComponent(props) {
    const choices = [
        { title: 'Your local computer', value: exports.Destination.YOUR_LOCAL_COMPUTER },
        {
            title: 'Remote device',
            value: exports.Destination.REMOTE_DEVICE,
        },
    ];
    const foundChoiceIndex = choices.findIndex(choice => choice.value === props.destination);
    const initial = foundChoiceIndex > -1 ? foundChoiceIndex : 0;
    const answer = await prompt_for_input_1.promptForInput({
        purpose: 'to choose whether you want to run your application here on this computer or on a remote device',
        questions: [
            {
                type: 'select',
                name: 'destination',
                message: 'What is the destination?',
                initial,
                choices,
            },
        ],
    });
    const destination = answer.destination;
    return destination;
}
exports.destinationPromptComponent = destinationPromptComponent;
//# sourceMappingURL=destination-prompt-component.js.map