"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const app_json_file_1 = require("../util/app-json-file");
const constants_1 = require("../constants");
const confirm_write_file_prompt_component_1 = require("./confirm-write-file-prompt-component");
const find_or_write_app_py_file_component_1 = require("./find-or-write-app-py-file-component");
const alwayscli_1 = require("@alwaysai/alwayscli");
const unable_to_proceed_without_message_1 = require("../util/unable-to-proceed-without-message");
const spinner_1 = require("../util/spinner");
const WRITE_MESSAGE = `Write ${constants_1.APP_JSON_FILE_NAME}`;
const FOUND_MESSAGE = `Found ${constants_1.APP_JSON_FILE_NAME}`;
async function findOrWriteAppJsonFileComponent(props) {
    const { yes } = props;
    const appJsonFile = app_json_file_1.AppJsonFile();
    if (appJsonFile.exists()) {
        spinner_1.Spinner(FOUND_MESSAGE).succeed();
    }
    else {
        // !exists
        const confirmed = yes ||
            (await confirm_write_file_prompt_component_1.confirmWriteFilePromptComponent({
                fileName: constants_1.APP_JSON_FILE_NAME,
                description: 'Configuration file',
            }));
        if (!confirmed) {
            throw new alwayscli_1.CliTerseError(unable_to_proceed_without_message_1.UnableToProceedWithoutMessage(constants_1.APP_JSON_FILE_NAME));
        }
        try {
            appJsonFile.initialize();
            spinner_1.Spinner(WRITE_MESSAGE).succeed();
        }
        catch (exception) {
            spinner_1.Spinner(WRITE_MESSAGE).fail();
            throw exception;
        }
        await find_or_write_app_py_file_component_1.findOrWriteAppPyFileComponent({ yes });
    }
}
exports.findOrWriteAppJsonFileComponent = findOrWriteAppJsonFileComponent;
//# sourceMappingURL=find-or-write-app-json-file-component.js.map