"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const check_for_docker_component_1 = require("./check-for-docker-component");
const write_target_json_file_component_1 = require("./write-target-json-file-component");
const connect_by_ssh_component_1 = require("./connect-by-ssh-component");
const find_or_write_private_key_file_component_1 = require("./find-or-write-private-key-file-component");
const create_target_directory_component_1 = require("./create-target-directory-component");
const yes = true;
async function targetJsonYesComponent(props) {
    const { targetJson } = props;
    switch (targetJson.targetProtocol) {
        case 'docker:':
            await check_for_docker_component_1.checkForDockerComponent();
            write_target_json_file_component_1.writeTargetJsonFileComponent(targetJson);
            break;
        case 'ssh+docker:':
            const { targetHostname, targetPath } = targetJson;
            await find_or_write_private_key_file_component_1.findOrWritePrivateKeyFileComponent({ yes });
            await connect_by_ssh_component_1.connectBySshComponent({
                targetHostname,
            });
            await check_for_docker_component_1.checkForDockerComponent({ targetHostname });
            await create_target_directory_component_1.createTargetDirectoryComponent({ targetHostname, targetPath });
            await write_target_json_file_component_1.writeTargetJsonFileComponent(targetJson);
            break;
        default:
            throw new Error('Unexpected target protocol');
    }
}
exports.targetJsonYesComponent = targetJsonYesComponent;
//# sourceMappingURL=target-json-yes-component.js.map