"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const target_protocol_1 = require("../util/target-protocol");
const destination_prompt_component_1 = require("./destination-prompt-component");
const environment_1 = require("../environment");
async function targetProtocolPromptComponent(props) {
    const { targetProtocol } = props;
    let answer;
    switch (environment_1.ALWAYSAI_OS_PLATFORM) {
        case 'linux': {
            const destination = await destination_prompt_component_1.destinationPromptComponent({
                destination: targetProtocol === target_protocol_1.TargetProtocol['ssh+docker:']
                    ? destination_prompt_component_1.Destination.REMOTE_DEVICE
                    : destination_prompt_component_1.Destination.YOUR_LOCAL_COMPUTER,
            });
            answer =
                destination === destination_prompt_component_1.Destination.REMOTE_DEVICE
                    ? target_protocol_1.TargetProtocol['ssh+docker:']
                    : target_protocol_1.TargetProtocol['docker:'];
            break;
        }
        case 'win32':
        case 'darwin':
        default: {
            answer = target_protocol_1.TargetProtocol['ssh+docker:'];
        }
    }
    return answer;
}
exports.targetProtocolPromptComponent = targetProtocolPromptComponent;
//# sourceMappingURL=target-protocol-prompt-component.js.map