"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const os_1 = require("os");
exports.ALWAYSAI_CLI_EXECUTABLE_NAME = 'aai';
exports.ALWAYSAI_DESKTOP_SOFTWARE_NAME = 'alwaysAI Desktop';
exports.PACKAGE_DIR = path_1.resolve(__dirname, '..');
exports.DOT_ALWAYSAI_DIR = path_1.join(os_1.homedir(), '.alwaysai');
exports.MODEL_PACKAGE_CACHE_DIR = path_1.join(exports.DOT_ALWAYSAI_DIR, 'model-package-cache');
exports.LOCAL_MODEL_VERSION_PACKAGE_NUMBER = 0;
exports.APP_PY_FILE_NAME = 'app.py';
exports.TARGET_JSON_FILE_NAME = 'alwaysai.target.json';
exports.APP_MODELS_DIRECTORY_NAME = 'models';
exports.DOCKERFILE = 'Dockerfile';
exports.DOCKER_EDGEIQ_REPOSITORY_NAME = 'alwaysai/edgeiq';
exports.DOCKER_FALLBACK_TAG_NAME = 'latest';
exports.DOCKER_IMAGE_ID_INITIAL_VALUE = '';
exports.DOCKER_TEST_IMAGE_ID = 'busybox';
exports.EMPTY_DOCKER_IMAGE_ID_MESSAGE = `Empty docker image ID. Did you run "${exports.ALWAYSAI_CLI_EXECUTABLE_NAME} app deploy"?`;
exports.ALWAYSAI_STARTER_APPS = 'alwaysai-starter-apps';
exports.VENV = 'venv';
exports.VENV_BIN_ACTIVATE = path_1.posix.join(exports.VENV, 'bin', 'activate');
exports.VENV_SCRIPTS_ACTIVATE = path_1.join(exports.VENV, 'Scripts', 'activate.bat');
exports.APP_JSON_FILE_NAME = 'alwaysai.app.json';
exports.PYTHON_REQUIREMENTS_FILE_NAME = 'requirements.txt';
exports.DOT_SSH_DIR = path_1.join(os_1.homedir(), '.ssh');
exports.PRIVATE_KEY_FILE_NAME = 'alwaysai.id_rsa';
exports.PRIVATE_KEY_FILE_PATH = path_1.join(exports.DOT_SSH_DIR, exports.PRIVATE_KEY_FILE_NAME);
exports.PRIVATE_KEY_FILE_PRETTY_PATH = `~/.ssh/${exports.PRIVATE_KEY_FILE_NAME}`;
exports.PUBLIC_KEY_FILE_PATH = `${exports.PRIVATE_KEY_FILE_PATH}.pub`;
exports.PUBLIC_KEY_FILE_PRETTY_PATH = `${exports.PRIVATE_KEY_FILE_PRETTY_PATH}.pub`;
// From https://stackoverflow.com/questions/46155/how-to-validate-an-email-address-in-javascript
exports.VALID_EMAIL_REGULAR_EXPRESSION = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
exports.PLEASE_REPORT_THIS_ERROR_MESSAGE = 'Please report this error message to support@alwaysai.co';
//# sourceMappingURL=constants.js.map