"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const app_json_file_1 = require("../../../util/app-json-file");
const model_ids_cli_input_1 = require("../../../cli-inputs/model-ids-cli-input");
const logSymbols = require("log-symbols");
const echo_1 = require("../../../util/echo");
exports.removeModels = alwayscli_1.CliLeaf({
    name: 'remove',
    description: `Remove model(s) from this application`,
    positionalInput: model_ids_cli_input_1.modelIdsCliInput,
    async action(ids) {
        const appJsonFile = app_json_file_1.AppJsonFile();
        appJsonFile.read();
        for (const id of ids) {
            appJsonFile.removeModel(id);
            echo_1.echo(`${logSymbols.success} Remove ${id}`);
        }
    },
});
//# sourceMappingURL=remove.js.map