"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const system_id_1 = require("../../util/system-id");
const constants_1 = require("../../constants");
const environment_1 = require("../../environment");
const show = alwayscli_1.CliLeaf({
    name: 'show',
    description: `Show your current "${constants_1.ALWAYSAI_CLI_EXECUTABLE_NAME}" configuration`,
    action() {
        return { systemId: system_id_1.getSystemId() };
    },
});
const set = alwayscli_1.CliLeaf({
    name: 'set',
    description: `Set an "${constants_1.ALWAYSAI_CLI_EXECUTABLE_NAME}" configuration value`,
    namedInputs: {
        systemId: alwayscli_1.CliOneOfInput({ values: system_id_1.SYSTEM_IDS, required: true }),
    },
    action(_, { systemId }) {
        return system_id_1.setSystemId(systemId);
    },
});
exports.config = alwayscli_1.CliBranch({
    name: 'config',
    hidden: !environment_1.ALWAYSAI_SHOW_HIDDEN,
    description: `Show or set "${constants_1.ALWAYSAI_CLI_EXECUTABLE_NAME}" configuration values`,
    subcommands: [show, set],
});
//# sourceMappingURL=index.js.map