"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const get_starter_apps_1 = require("../util/get-starter-apps");
const yes_cli_input_1 = require("../cli-inputs/yes-cli-input");
const check_user_is_logged_in_component_1 = require("../components/check-user-is-logged-in-component");
const spinner_1 = require("../util/spinner");
const constants_1 = require("../constants");
exports.getStarterAppsCliLeaf = alwayscli_1.CliLeaf({
    name: 'get-starter-apps',
    description: 'Download the alwaysAI starter applications',
    namedInputs: {
        yes: yes_cli_input_1.yesCliInput,
    },
    async action(_, { yes }) {
        await check_user_is_logged_in_component_1.checkUserIsLoggedInComponent({ yes });
        const spinner = spinner_1.Spinner(`Get ${constants_1.ALWAYSAI_STARTER_APPS}`);
        try {
            await get_starter_apps_1.getStarterApps();
            spinner.succeed();
        }
        catch (exception) {
            spinner.fail();
            throw exception;
        }
    },
});
//# sourceMappingURL=get-starter-apps.js.map