"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const yes_cli_input_1 = require("../../cli-inputs/yes-cli-input");
const check_user_is_logged_in_component_1 = require("../../components/check-user-is-logged-in-component");
const authentication_client_1 = require("../../util/authentication-client");
exports.getAccessJwtCliLeaf = alwayscli_1.CliLeaf({
    name: 'get-access-jwt',
    description: 'Get a JSON web token (JWT) for accessing the alwaysAI Cloud API',
    hidden: true,
    namedInputs: {
        yes: yes_cli_input_1.yesCliInput,
    },
    async action(_, { yes }) {
        await check_user_is_logged_in_component_1.checkUserIsLoggedInComponent({ yes });
        const { Authorization } = await authentication_client_1.CliAuthenticationClient().getAuthorizationHeader();
        return Authorization.split(' ')[1];
    },
});
//# sourceMappingURL=get-access-jwt.js.map