"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const chalk_1 = require("chalk");
const authentication_client_1 = require("../../util/authentication-client");
const echo_1 = require("../../util/echo");
exports.userShow = alwayscli_1.CliLeaf({
    name: 'show',
    description: 'Show the currently logged in user',
    async action() {
        const authenticationClient = authentication_client_1.CliAuthenticationClient();
        if (authenticationClient.isSignedIn()) {
            const { email } = await authenticationClient.getInfo();
            echo_1.echo(`Logged in as ${chalk_1.default.bold(email)}`);
        }
        else {
            echo_1.echo('Not logged in');
        }
    },
});
//# sourceMappingURL=show.js.map