"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const difference = require("lodash.difference");
const IGNORED_FILE_NAMES = ['models', 'node_modules', '.git', 'venv'];
async function appCopyFiles(source, target) {
    const allFileNames = await source.readdir();
    const filteredFileNames = difference(allFileNames, IGNORED_FILE_NAMES);
    const readable = await source.tar(...filteredFileNames);
    await target.untar(readable);
}
exports.appCopyFiles = appCopyFiles;
//# sourceMappingURL=app-copy-files.js.map