"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tempy = require("tempy");
const mock_model_1 = require("./mock-model");
const js_spawner_1 = require("./spawner/js-spawner");
const app_install_model_1 = require("./app-install-model");
const path_1 = require("path");
const constants_1 = require("../constants");
const model_id_1 = require("./model-id");
const model_json_file_1 = require("./model-json-file");
describe(app_install_model_1.appInstallModel.name, () => {
    it('Untars a model to the target and adds "version" to its model.json file', async () => {
        const appDir = tempy.directory();
        const mockModel = await mock_model_1.MockModel();
        const spawner = js_spawner_1.JsSpawner({ path: appDir });
        await app_install_model_1.appInstallModel(spawner, mockModel.json.id, mockModel.metadata.version);
        const { publisher, name } = model_id_1.ModelId.parse(mockModel.json.id);
        const installedModelJsonSerialized = await spawner.readFile(path_1.join(constants_1.APP_MODELS_DIRECTORY_NAME, publisher, name, model_json_file_1.MODEL_JSON_FILE_NAME));
        const installedModelJson = JSON.parse(installedModelJsonSerialized);
        expect(installedModelJson.id).toBe(mockModel.json.id);
        expect(installedModelJson.version).toBe(mockModel.metadata.version);
    });
});
//# sourceMappingURL=app-install-model.test.js.map