"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
async function buildDockerImage(hostSpawner) {
    // first run to see build logs
    hostSpawner.runForegroundSync({
        exe: 'docker',
        args: ['build', '.'],
        cwd: '.',
    });
    // second run returns an output - docker does not rebuild it but it returns the success message
    const output = await hostSpawner.run({
        exe: 'docker',
        args: ['build', '--quiet', '.'],
        cwd: '.',
    });
    const dockerImageId = output.trim();
    return dockerImageId;
}
exports.buildDockerImage = buildDockerImage;
//# sourceMappingURL=build-docker-image.js.map