"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const credentials_json_file_1 = require("./credentials-json-file");
const random_string_1 = require("./random-string");
const tempy = require("tempy");
describe('credentials json file', () => {
    it('has methods for storing items', async () => {
        const credentialsJsonFile = credentials_json_file_1.CredentialsJsonFile(tempy.directory());
        const value = random_string_1.RandomString();
        credentialsJsonFile.setItem('foo', value);
        expect(credentialsJsonFile.getItem('foo')).toBe(value);
        credentialsJsonFile.removeItem('foo');
        expect(credentialsJsonFile.getItem('foo')).toBe('');
        credentialsJsonFile.setItem('foo', value);
        expect(credentialsJsonFile.getItem('foo')).toBe(value);
        credentialsJsonFile.clear();
        expect(credentialsJsonFile.getItem('foo')).toBe('');
    });
});
//# sourceMappingURL=credentials-json-file.test.js.map