"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const tempy = require("tempy");
const path_1 = require("path");
const get_starter_apps_1 = require("./get-starter-apps");
const app_json_file_1 = require("./app-json-file");
const constants_1 = require("../constants");
const run_and_catch_1 = require("@carnesen/run-and-catch");
describe(get_starter_apps_1.getStarterApps.name, () => {
    it('downloads the starter apps from the cloud to the specified directory', async () => {
        const tmpDir = tempy.directory();
        await get_starter_apps_1.getStarterApps(tmpDir);
        const appJsonFile = app_json_file_1.AppJsonFile(path_1.join(tmpDir, constants_1.ALWAYSAI_STARTER_APPS, 'object_detector'));
        const appJson = appJsonFile.read();
        expect(appJson.models).toBeTruthy();
        // Throws a CLI_TERSE_ERROR error if the directory already exists
        expect((await run_and_catch_1.runAndCatch(get_starter_apps_1.getStarterApps, tmpDir)).code).toBe(alwayscli_1.CLI_TERSE_ERROR);
    }, 100000);
});
//# sourceMappingURL=get-starter-apps.test.js.map