"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tempy = require("tempy");
const model_package_cloud_client_1 = require("./model-package-cloud-client");
const model_json_file_1 = require("./model-json-file");
const random_string_1 = require("./random-string");
const model_id_1 = require("./model-id");
const authentication_client_1 = require("./authentication-client");
const rpc_client_1 = require("./rpc-client");
async function MockModel() {
    const { username } = await authentication_client_1.CliAuthenticationClient().getInfo();
    const id = model_id_1.ModelId.serialize({
        publisher: username,
        name: random_string_1.RandomString(),
    });
    const dir = tempy.directory();
    const modelJsonFile = model_json_file_1.ModelJsonFile(dir);
    const json = {
        accuracy: '',
        dataset: '',
        description: random_string_1.RandomString(),
        id,
        inference_time: null,
        license: '',
        mean_average_precision_top_1: null,
        mean_average_precision_top_5: null,
        public: false,
        website_url: '',
        model_parameters: {},
    };
    modelJsonFile.write(json);
    const uuid = await model_package_cloud_client_1.modelPackageCloudClient.publish(dir);
    const metadata = await rpc_client_1.CliRpcClient().getModelVersionByUuid(uuid);
    return {
        json,
        dir,
        metadata,
    };
}
exports.MockModel = MockModel;
//# sourceMappingURL=mock-model.js.map