"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const cloud_api_1 = require("@alwaysai/cloud-api");
const config_nodejs_1 = require("@alwaysai/config-nodejs");
const alwayscli_1 = require("@alwaysai/alwayscli");
exports.MODEL_JSON_FILE_NAME = 'alwaysai.model.json';
const ENOENT = {
    message: `File not found "${exports.MODEL_JSON_FILE_NAME}". Did you run "aai model configure"?`,
    code: alwayscli_1.CLI_TERSE_ERROR,
};
function ModelJsonFile(dir) {
    const path = path_1.join(dir, exports.MODEL_JSON_FILE_NAME);
    const configFile = config_nodejs_1.ConfigFile({ path, codec: cloud_api_1.rpcCreateModelVersionArg0Codec, ENOENT });
    return configFile;
}
exports.ModelJsonFile = ModelJsonFile;
//# sourceMappingURL=model-json-file.js.map