"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const toReadableStream = require("to-readable-stream");
const getStream = require("get-stream");
const model_package_cache_1 = require("./model-package-cache");
const model_id_1 = require("./model-id");
const random_string_1 = require("./random-string");
describe('model package cache', () => {
    const id = model_id_1.ModelId.serialize({
        publisher: random_string_1.RandomString(),
        name: random_string_1.RandomString(),
    });
    const version = 123;
    it('big test of all the methods', async () => {
        const dataIn = 'foo bar baz';
        const readableIn = toReadableStream(dataIn);
        await model_package_cache_1.modelPackageCache.write(id, version, readableIn);
        const readableOut = model_package_cache_1.modelPackageCache.read(id, version);
        const dataOut = await getStream(readableOut);
        expect(dataOut).toBe(dataIn);
        expect(model_package_cache_1.modelPackageCache.has(id, version)).toBe(true);
        expect(model_package_cache_1.modelPackageCache.has(id, version + 12)).toBe(false);
        await model_package_cache_1.modelPackageCache.clear();
        expect(model_package_cache_1.modelPackageCache.has(id, version)).toBe(false);
    });
});
//# sourceMappingURL=model-package-cache.test.js.map