"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const spinner_1 = require("./spinner");
async function runWithSpinner(func, args, message) {
    const spinner = spinner_1.Spinner(message);
    try {
        await func(...args);
        spinner.succeed();
    }
    catch (exception) {
        spinner.fail();
        throw exception;
    }
}
exports.runWithSpinner = runWithSpinner;
//# sourceMappingURL=run-with-spinner.js.map