import { buildDockerImage } from '../util/build-docker-image';
import { Spawner } from '../util/spawner/types';
import logSymbols = require('log-symbols');
import { echo } from '../util/echo';
import { CliTerseError } from '@alwaysai/alwayscli';

export async function buildDockerImageComponent(props: { targetHostSpawner: Spawner }) {
  const BUILD_DOCKER_IMAGE_MESSAGE = 'Build docker image';

  echo(`- ${BUILD_DOCKER_IMAGE_MESSAGE}`);
  try {
    const dockerImageId = await buildDockerImage(props.targetHostSpawner);
    echo(`${logSymbols.success} ${BUILD_DOCKER_IMAGE_MESSAGE}`);
    return dockerImageId;
  } catch (exception) {
    echo(`${logSymbols.error} ${BUILD_DOCKER_IMAGE_MESSAGE}`);
    throw new CliTerseError('Docker build failed! Check Docker logs.');
  }
}
