import { spawnSync } from 'child_process';
const winston = require('winston');

import { Cmd } from '../spawner/types';

export function runForegroundSync(cmd: Cmd) {
  const optString = cmd.args ? cmd.args.join(' ') : '';
  winston.debug(`${cmd.exe} ${optString}`);
  const out = spawnSync(cmd.exe, cmd.args || [], {
    cwd: cmd.cwd,
    stdio: 'inherit',
  });
  if (out.error) {
    throw out.error;
  }
}
